Bug 1292681 - [RFE] Include configurables to enable 'NetApp copyoffload' in tripleo heat templates
[RFE] Include configurables to enable 'NetApp copyoffload' in tripleo heat te...
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
6.0 (Juno)
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Elise Gafford
Tzach Shefi
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-17 22:53 EST by Jaison Raju
Modified: 2017-05-02 04:54 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-30 02:51:06 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
scohen: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Jaison Raju 2015-12-17 22:53:41 EST
1. Proposed title of this feature request  
      [RFE] Include configurables to enable 'NetApp copyoffload' in tripleo heat templates
      
    3. What is the nature and description of the request?  
TripleO Heat templates should allow changing or setting cinder NetApp configuration to enable 'NetApp copyoffload'  .
This requires setting : glance_api_version in cinder.conf .
      
    4. Why does the customer need this? (List the business requirements here)  
      Easy of deployment

    7. Is there already an existing RFE upstream or in Red Hat Bugzilla?  
      No

    8. Does the customer have any specific timeline dependencies and which release would they like to target (i.e. RHEL5, RHEL6)?  
      No
      
    10. List any affected packages or components.  
     openstack-tripleo-heat-templates
Comment 3 Mike Burns 2016-04-07 17:00:12 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.
Comment 5 Elise Gafford 2016-10-05 05:27:22 EDT
Moving to RHOS 11 for scoping and prioritization under the newly-assigned Storage DFG (as of 9/29). Adding needinfo on scohen to ensure that this is captured in our prio exercises, and added early to the DF collaboration backlog if appropriate.
Comment 6 Eric Harney 2016-12-02 14:25:58 EST
Reference:

http://docs.openstack.org/newton/config-reference/block-storage/drivers/netapp-volume-driver.html


To use this feature, you must configure the Block Storage service, as follows:
    Set the netapp_copyoffload_tool_path configuration option to the path to the NetApp Copy Offload binary.
    Set the glance_api_version configuration option to 2.
Comment 8 Elise Gafford 2017-01-24 17:34:08 EST
Hi all,

Based on eharney's reference, this is possible with OOO as it exists today: 

- Glance is already configured with version 2 as the default in Cinder.

- To set the netapp_copyoffload_tool_path setting, a user should add the `-e $THT_ROOT/environments/cinder_netapp_config.yaml` environment, and also a custom environment file setting the CinderNetappCopyOffloadToolPath parameter to an appropriate value.

If these configuration mechanisms have already been tried, there may be a bug, but it does look as though the desired configurations can be set through TripleO at this time.

Jaison, please ask any additional questions that would help to resolve this issue with the customer. Thank you!

- Elise
Comment 11 Jaison Raju 2017-03-30 02:51:06 EDT
(In reply to Elise Gafford from comment #8)
> Hi all,
> 
> Based on eharney's reference, this is possible with OOO as it exists today: 
> 
> - Glance is already configured with version 2 as the default in Cinder.
> 
> - To set the netapp_copyoffload_tool_path setting, a user should add the `-e
> $THT_ROOT/environments/cinder_netapp_config.yaml` environment, and also a
> custom environment file setting the CinderNetappCopyOffloadToolPath
> parameter to an appropriate value.
> 
> If these configuration mechanisms have already been tried, there may be a
> bug, but it does look as though the desired configurations can be set
> through TripleO at this time.
> 
> Jaison, please ask any additional questions that would help to resolve this
> issue with the customer. Thank you!
> 
> - Elise
Customer has not reverted back with their test results or suggestions .
I have tested this & it works as you have mentioned .
We can go ahead & close this rfe . I am closing it as current release , but i see that this option is present rhos7 package too .
Thank you Team .

Regards,
Jaison R

Note You need to log in before you can comment on or make changes to this bug.